require('./overrides.sass')

const kidsloopColors = {
  Mblue: '#4B88F5',
  Myellow: '#FFC100',
  Mgreen: '#00C09F',
  Morange: '#FF8A5B',
  Ablue: '#40B6FF',
  Apurple: '#9BA2FF',
  Agreen: '#9BDD20',
  Apink: '#FB91AC',
  Rred: '#FC5A5A',
  Fblack: '#000000',
  Fblack50: '#696969',
  Fgrey: '#999999',
  Lgrey: '#EBEEF5',
  Dgrey: '#A2A2A2',
  Dgrey50: '#F1F4F4',
  BPgrey: '#E6E6E6',
  LBlue: '#D8DCE6',
  BHblue: '#3F73D0',
  BPBlue: '#2D5193',
  BHred: '#FFD6D6',
  BHgreen: '#C4F4EC',
  Blightblue: '#BFD8FF',
  BHFblue: '#A2B7D9',
  BPFblue: '#8596B2',
  Igrey: '#B3C1D7',
}

exports.preset = {
  theme: {
    themes: {
      light: {
        primary: kidsloopColors.Fblack50,
        secondary: kidsloopColors.Fblack50,
        error: kidsloopColors.Rred,
        info: kidsloopColors.Fblack,
        success: kidsloopColors.Wgreen,
        warning: kidsloopColors.Morange,
        ...kidsloopColors,
      },
    },
  },
  breakpoint: {
    thresholds: {
      xs: 0,
      sm: 600,
      md: 960,
      lg: 1440,
      xl: 1920 - 16,
    },
  },
}
